/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare type Argument = ArgUint32 | ArgUint64 | ArgString | ArgBytes;
export declare type ArgUint32 = {
    type: "uint32";
    value: number;
};
export declare type ArgUint64 = {
    type: "uint64";
    value: bigint;
};
export declare type ArgString = {
    type: "string";
    value: string;
};
export declare type ArgBytes = {
    type: "bytes";
    value: Uint8Array;
};
export declare const argUint32: (value: number) => ArgUint32;
export declare const argUint64: (value: number | bigint) => ArgUint64;
export declare const argString: (value: string) => ArgString;
export declare const argBytes: (value: Uint8Array) => ArgBytes;
export declare const argAddress: (address: string) => ArgBytes;
export declare function packedArgumentsEncode(args: Argument[]): Uint8Array;
export declare function packedArgumentsDecode(buf: Uint8Array): Argument[];
