/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { RequestStatus } from "./RequestStatus";
import { ExecutionResult } from "./ExecutionResult";
import { Argument } from "./Arguments";
import { Event } from "./Events";
import { TransactionStatus } from "./TransactionStatus";
export interface GetTransactionStatusRequest {
    protocolVersion: number;
    virtualChainId: number;
    txId: Uint8Array;
}
export interface GetTransactionStatusResponse {
    requestStatus: RequestStatus;
    txHash: Uint8Array;
    executionResult: ExecutionResult;
    outputArguments: Argument[];
    outputEvents: Event[];
    transactionStatus: TransactionStatus;
    blockHeight: bigint;
    blockTimestamp: Date;
}
export declare function encodeGetTransactionStatusRequest(req: GetTransactionStatusRequest): Uint8Array;
export declare function decodeGetTransactionStatusResponse(buf: Uint8Array): GetTransactionStatusResponse;
