/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { NetworkType } from "./NetworkType";
import { RequestStatus } from "./RequestStatus";
import { ExecutionResult } from "./ExecutionResult";
import { Argument } from "./Arguments";
import { Event } from "./Events";
export interface RunQueryRequest {
    protocolVersion: number;
    virtualChainId: number;
    timestamp: Date;
    networkType: NetworkType;
    publicKey: Uint8Array;
    contractName: string;
    methodName: string;
    inputArguments: Argument[];
}
export interface RunQueryResponse {
    requestStatus: RequestStatus;
    executionResult: ExecutionResult;
    outputArguments: Argument[];
    outputEvents: Event[];
    blockHeight: bigint;
    blockTimestamp: Date;
}
export declare function encodeRunQueryRequest(req: RunQueryRequest): Uint8Array;
export declare function decodeRunQueryResponse(buf: Uint8Array): RunQueryResponse;
