/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { NetworkType } from "./NetworkType";
import { Argument } from "./Arguments";
import { Event } from "./Events";
import { RequestStatus } from "./RequestStatus";
import { ExecutionResult } from "./ExecutionResult";
import { TransactionStatus } from "./TransactionStatus";
export interface SendTransactionRequest {
    protocolVersion: number;
    virtualChainId: number;
    timestamp: Date;
    networkType: NetworkType;
    publicKey: Uint8Array;
    contractName: string;
    methodName: string;
    inputArguments: Argument[];
}
export interface SendTransactionResponse {
    requestStatus: RequestStatus;
    txHash: Uint8Array;
    executionResult: ExecutionResult;
    outputArguments: Argument[];
    outputEvents: Event[];
    transactionStatus: TransactionStatus;
    blockHeight: bigint;
    blockTimestamp: Date;
}
export declare function encodeSendTransactionRequest(req: SendTransactionRequest, privateKey: Uint8Array): [Uint8Array, Uint8Array];
export declare function decodeSendTransactionResponse(buf: Uint8Array): SendTransactionResponse;
