/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare enum TransactionStatus {
    TRANSACTION_STATUS_COMMITTED = "COMMITTED",
    TRANSACTION_STATUS_DUPLICATE_TRANSACTION_ALREADY_COMMITTED = "DUPLICATE_TRANSACTION_ALREADY_COMMITTED",
    TRANSACTION_STATUS_PENDING = "PENDING",
    TRANSACTION_STATUS_DUPLICATE_TRANSACTION_ALREADY_PENDING = "DUPLICATE_TRANSACTION_ALREADY_PENDING",
    TRANSACTION_STATUS_NO_RECORD_FOUND = "NO_RECORD_FOUND",
    TRANSACTION_STATUS_REJECTED_UNSUPPORTED_VERSION = "REJECTED_UNSUPPORTED_VERSION",
    TRANSACTION_STATUS_REJECTED_VIRTUAL_CHAIN_MISMATCH = "REJECTED_VIRTUAL_CHAIN_MISMATCH",
    TRANSACTION_STATUS_REJECTED_TIMESTAMP_WINDOW_EXCEEDED = "REJECTED_TIMESTAMP_WINDOW_EXCEEDED",
    TRANSACTION_STATUS_REJECTED_SIGNATURE_MISMATCH = "REJECTED_SIGNATURE_MISMATCH",
    TRANSACTION_STATUS_REJECTED_UNKNOWN_SIGNER_SCHEME = "REJECTED_UNKNOWN_SIGNER_SCHEME",
    TRANSACTION_STATUS_REJECTED_GLOBAL_PRE_ORDER = "REJECTED_GLOBAL_PRE_ORDER",
    TRANSACTION_STATUS_REJECTED_VIRTUAL_CHAIN_PRE_ORDER = "REJECTED_VIRTUAL_CHAIN_PRE_ORDER",
    TRANSACTION_STATUS_REJECTED_SMART_CONTRACT_PRE_ORDER = "REJECTED_SMART_CONTRACT_PRE_ORDER",
    TRANSACTION_STATUS_REJECTED_TIMESTAMP_AHEAD_OF_NODE_TIME = "REJECTED_TIMESTAMP_AHEAD_OF_NODE_TIME",
    TRANSACTION_STATUS_REJECTED_CONGESTION = "REJECTED_CONGESTION",
    TRANSACTION_STATUS_REJECTED_NODE_OUT_OF_SYNC = "REJECTED_NODE_OUT_OF_SYNC"
}
export declare function transactionStatusDecode(transactionStatus: number): TransactionStatus;
