/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare const CLIENT_ADDRESS_SIZE_BYTES = 20;
export declare const CLIENT_ADDRESS_SHA256_OFFSET: number;
export declare const TX_ID_SIZE_BYTES: number;
export declare function calcClientAddressOfEd25519PublicKey(publicKey: Uint8Array): Uint8Array;
export declare function calcTxHash(transactionBuf: Uint8Array): Uint8Array;
export declare function generateTxId(txHash: Uint8Array, txTimestamp: bigint): Uint8Array;
export declare function extractTxId(txId: Uint8Array): [Uint8Array, bigint];
export declare function calcQueryHash(queryBuf: Uint8Array): Uint8Array;
export declare function contractNameToAddressAsBytes(contractName: string): Uint8Array;
