/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { BaseBuilder } from "./Base";
import * as Protocol from "./Protocol";
export declare const RequestResult_Scheme: number[];
export declare class TransactionRefBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        protocolVersion: number;
        virtualChainId: number;
        transactionTimestamp: bigint;
        txHash: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const SendTransactionRequest_Scheme: number[];
export declare class SendTransactionRequestBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        signedTransaction: Protocol.SignedTransactionBuilder;
    });
    write(buf: Uint8Array): void;
}
export declare const SendTransactionResponse_Scheme: number[];
export declare class RunQueryRequestBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        signedQuery: Protocol.SignedQueryBuilder;
    });
    write(buf: Uint8Array): void;
}
export declare const RunQueryResponse_Scheme: number[];
export declare class GetTransactionStatusRequestBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        transactionRef: TransactionRefBuilder;
    });
    write(buf: Uint8Array): void;
}
export declare const GetTransactionStatusResponse_Scheme: number[];
export declare class GetTransactionReceiptProofRequestBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        transactionRef: TransactionRefBuilder;
    });
    write(buf: Uint8Array): void;
}
export declare const GetTransactionReceiptProofResponse_Scheme: number[];
export declare class GetBlockRequestBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        protocolVersion: number;
        virtualChainId: number;
        blockHeight: bigint;
    });
    write(buf: Uint8Array): void;
}
export declare const GetBlockResponse_Scheme: number[];
