/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { BaseBuilder } from "./Base";
export declare function dateToUnixNano(date: Date): bigint;
export declare function unixNanoToDate(timestamp: bigint): Date;
export declare const Argument_Scheme: number[];
export declare const Argument_Unions: number[][];
export declare class ArgumentBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        type: number;
        value: number | bigint | string | Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const ArgumentArray_Scheme: number[];
export declare class ArgumentArrayBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        arguments: ArgumentBuilder[];
    });
    write(buf: Uint8Array): void;
}
export declare const Event_Scheme: number[];
export declare const EventsArray_Scheme: number[];
export declare class EdDSA01SignerBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        networkType: number;
        signerPublicKey: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare class SignerBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        scheme: number;
        eddsa: EdDSA01SignerBuilder;
    });
    write(buf: Uint8Array): void;
}
export declare const Signer_Scheme: number[];
export declare const Signer_Unions: number[][];
export declare const EdDSA01Signer_Scheme: number[];
export declare class TransactionBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        protocolVersion: number;
        virtualChainId: number;
        timestamp: bigint;
        signer: SignerBuilder;
        contractName: string;
        methodName: string;
        inputArgumentArray: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const Transaction_Scheme: number[];
export declare const SignedTransaction_Scheme: number[];
export declare class SignedTransactionBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        transaction: TransactionBuilder;
        signature: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const TransactionReceipt_Scheme: number[];
export declare class QueryBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        protocolVersion: number;
        virtualChainId: number;
        timestamp: bigint;
        signer: SignerBuilder;
        contractName: string;
        methodName: string;
        inputArgumentArray: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const SignedQuery_Scheme: number[];
export declare class SignedQueryBuilder extends BaseBuilder {
    private fields;
    constructor(fields: {
        query: QueryBuilder;
        signature: Uint8Array;
    });
    write(buf: Uint8Array): void;
}
export declare const QueryResult_Scheme: number[];
export declare const TransactionsBlockHeader_Scheme: number[];
export declare const ResultsBlockHeader_Scheme: number[];
